FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Chart.H File Reference

Fl_Chart widget. More...

`#include "Fl_Widget.H"`

Go to the source code of this file.

## Classes
class | Fl_Chart
| Fl_Chart displays simple charts. More...
struct | FL_CHART_ENTRY
| For internal use only. More...

## Macros
#define | FL_BAR_CHART 0
| type() for Bar Chart variant
#define | FL_CHART_LABEL_MAX 18
| max label length for entry
#define | FL_CHART_MAX 128
| max entries per chart
#define | FL_FILL_CHART 3
| type() for Fill Line Chart variant
#define | FL_FILLED_CHART FL_FILL_CHART
| for compatibility
#define | FL_HORBAR_CHART 1
| type() for Horizontal Bar Chart variant
#define | FL_LINE_CHART 2
| type() for Line Chart variant
#define | FL_PIE_CHART 5
| type() for Pie Chart variant
#define | FL_SPECIALPIE_CHART 6
| type() for Special Pie Chart variant
#define | FL_SPIKE_CHART 4
| type() for Spike Chart variant

## Detailed Description

Fl_Chart widget.